package com.pcloud.book.advertising.dto;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.dto.BaseDto;

/**
 * @author PENG
 */
public class WechatGroupClickUserDTO extends BaseDto {

    private static final long serialVersionUID = -2385429387988628595L;


    /**
     * 广告位ID
     */
    private Long adId;

    /**
     * 公众号ID
     */
    private Long officialAccountId;

    /**
     * 来源类型
     */
    private String fromType;

    /**
     * 来源ID
     */
    private Long fromId;

    /**
     * 读者ID
     */
    private Long wechatUserId;

    /**
     * 读者昵称
     */
    private String wechatUserName;

    /**
     * 读者头像
     */
    private String wechatUserHeadurl;

    /**
     * 性别
     */
    private Integer wechatUserSex;

    /**
     * 省份
     */
    private String wechatUserProvince;

    /**
     * 城市
     */
    private String wechatUserCity;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    public Long getAdId() {
        return adId;
    }

    public void setAdId(Long adId) {
        this.adId = adId;
    }

    public Long getOfficialAccountId() {
        return officialAccountId;
    }

    public void setOfficialAccountId(Long officialAccountId) {
        this.officialAccountId = officialAccountId;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public Long getFromId() {
        return fromId;
    }

    public void setFromId(Long fromId) {
        this.fromId = fromId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public String getWechatUserName() {
        return wechatUserName;
    }

    public void setWechatUserName(String wechatUserName) {
        this.wechatUserName = wechatUserName;
    }

    public String getWechatUserHeadurl() {
        return wechatUserHeadurl;
    }

    public void setWechatUserHeadurl(String wechatUserHeadurl) {
        this.wechatUserHeadurl = wechatUserHeadurl;
    }

    public Integer getWechatUserSex() {
        return wechatUserSex;
    }

    public void setWechatUserSex(Integer wechatUserSex) {
        this.wechatUserSex = wechatUserSex;
    }

    public String getWechatUserProvince() {
        return wechatUserProvince;
    }

    public void setWechatUserProvince(String wechatUserProvince) {
        this.wechatUserProvince = wechatUserProvince;
    }

    public String getWechatUserCity() {
        return wechatUserCity;
    }

    public void setWechatUserCity(String wechatUserCity) {
        this.wechatUserCity = wechatUserCity;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "WechatGroupClickUserDTO{" +
                "adId=" + adId +
                ", officialAccountId=" + officialAccountId +
                ", fromType='" + fromType + '\'' +
                ", fromId=" + fromId +
                ", wechatUserId=" + wechatUserId +
                ", wechatUserName='" + wechatUserName + '\'' +
                ", wechatUserHeadurl='" + wechatUserHeadurl + '\'' +
                ", wechatUserSex=" + wechatUserSex +
                ", wechatUserProvince='" + wechatUserProvince + '\'' +
                ", wechatUserCity='" + wechatUserCity + '\'' +
                ", createTime=" + createTime +
                "} " + super.toString();
    }
}